/***************************************************************************/
/* C header file for libSIMD Mathematics Library using SIMD code.          */
/* Copyright (C) 2000,2001 by Iain Nicholson <iain@delphinus.demon.co.uk>  */
/* Last modified : 14th February 2002                                      */
/*                                                                         */
/* This file is part of libSIMD.                                           */
/*                                                                         */
/*  libSIMD is free software; you can redistribute it and/or modify it     */
/*  under the terms of the GNU Lesser General Public License as published  */
/*  by the Free Software Foundation; either version 2 of the License, or   */
/*  (at your option) any later version.                                    */
/*                                                                         */
/*  libSIMD is distributed in the hope that it will be useful, but WITHOUT */
/*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public   */
/*  License for more details.                                              */
/*                                                                         */
/*  You should have received a copy of the GNU Lesser General Public       */
/*  License along with libSIMD; if not, write to the Free Software         */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307   */
/*  USA                                                                    */
/***************************************************************************/

#define LIBSIMD_TRIGS

void simd_sins(float *, float *);
void simd_coss(float *, float *);
/*void simd_tans(float *, float *);*/

/*void simd_asins(float *, float *);*/
/*void simd_acoss(float *, float *);*/
/*void simd_atans(float *, float *);*/

void simd_sinhs(float *, float *);
void simd_coshs(float *, float *);
/*void simd_tanhs(float *, float *);*/

/*void simd_asinhs(float *, float *);*/
/*void simd_acoshs(float *, float *);*/
/*void simd_atanhs(float *, float *);*/

void simd_exps(float *, float *);

